<template>
  <div>
    <ul>
      <nuxt-link
        v-for="post in posts"
        :key="post.title"
        :to="`posts/${post.slug}`">
        <post-list-item
          :title="post.title"
          :date="post.date" />
      </nuxt-link>
    </ul>
  </div>
</template>

<script>
import PostListItem from '~/components/PostListItem'

export default {
  components: {
    PostListItem
  },
  computed: {
    posts() {
      return this.$store.state.posts;
    }
  }
}
</script>

<style scoped>
div {
  display: flex;
  flex-flow: column nowrap;
  justify-content: flex-start;
  align-items: center;
}
</style>
